Package org.eclipse.draw2d

# Class ScrollPaneSolver

java.lang.Object
org.eclipse.draw2d.ScrollPaneSolver

public class ScrollPaneSolver extends Object
This class handles the calculation of solving for the area of a `ScrollPane`'s viewport and insets. Also determines if the horizontal and vertical scrollbars should be visible.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ScrollPaneSolver.Result`
Container class for the results of ScrollPaneSolver's solve method

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALWAYS`
Scrollbar visibility constants -- always show scrollbars
`static final int`
`AUTOMATIC`
Scrollbar visibility constants -- show scrollbars automatically
`static final int`
`NEVER`
Scrollbar visibility constants -- never show scrollbars

## Constructor Summary

Constructors
Constructor
Description
`ScrollPaneSolver()`

## Method Summary

Modifier and Type
Method
Description
`static ScrollPaneSolver.Result`
`solve(Rectangle clientArea, Viewport viewport, int hVis, int vVis, int vBarWidth, int hBarHeight)`
Solves for the viewport area, insets, and visibility of horizontal and vertical scrollbars of a ScrollPane

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NEVER

public static final int NEVER
Scrollbar visibility constants -- never show scrollbars

See Also:
  - Constant Field Values

### AUTOMATIC

public static final int AUTOMATIC
Scrollbar visibility constants -- show scrollbars automatically

See Also:
  - Constant Field Values

### ALWAYS

public static final int ALWAYS
Scrollbar visibility constants -- always show scrollbars

See Also:
  - Constant Field Values

## Constructor Details

### ScrollPaneSolver

public ScrollPaneSolver()

## Method Details

### solve

public static ScrollPaneSolver.Result solve(Rectangle clientArea, Viewport viewport, int hVis, int vVis, int vBarWidth, int hBarHeight)
Solves for the viewport area, insets, and visibility of horizontal and vertical scrollbars of a ScrollPane

Parameters:
  `clientArea` - The ScrollPane's client area
  `viewport` - The ScrollPane's Viewport
  `hVis` - Horizontal scrollbar visibility
  `vVis` - Vertical scrollbar visibility
  `vBarWidth` - Width of vertical scrollbar
  `hBarHeight` - Height of horizontal scrollbar
Returns:
  the Result